|  |  | Usage

# Usage

Typing `goo` at your shell will start up a GOO read-eval-print loop, which accepts sexpressions and top-level commands commencing with a comma. The following is a list of available commands:

`,quit` | `` | `K`
| exits from GOO. |
`C-c` | `` | `K`
| invokes a recursive read-eval-print loop. |
`,g2c-eval` | `` | `K`
| to change to dynamic compilation evaluation. |
`,ast-eval` | `` | `K`
| to change to ast evaluation. |
`GOO_EVAL_MODE` | `<str>` | `I`
| environment variable for setting goo's evaluation mode. Valid settings are "ast" or "g2c". |
`,in` | `,name` | `K`
| changes to module `,name`. |
`mod:name` | `==` | `L`
| accesses an unexported binding from another module. |

- Development
- Debugger
- Emacs Support

|  |  | Usage